.login {
  width: 100%;
  min-height: 100%;
  background: #434751;
}
.login .alert {
  width: 900px;
  height: 580px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  background-image: url(../imgs/login_bg@2x.png);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.login .alert__err-tip {
  position: absolute;
  margin-left: 10px;
  margin-top: 25px;
  font-size: 12px;
  color: red;
}
.login .alert__welcome {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 50%;
  height: 100%;
  font-size: 35px;
  font-weight: 300;
  color: #fff;
  line-height: 35px;
}
.login .alert__tip {
  font-size: 12px;
}
.login .alert__form {
  position: relative;
  background-color: #fff;
  width: 50%;
  height: 100%;
  padding-top: 110px;
  padding-bottom: 35px;
  padding-left: 87px;
  padding-right: 87px;
}
.login .alert__title {
  text-align: center;
  font-size: 21px;
  font-weight: 500;
  color: #222222;
  line-height: 21px;
  padding-bottom: 65px;
}
.login .alert__title.pb30 {
  padding-bottom: 30px;
}
.login .alert__title2 {
  text-align: center;
  font-size: 14px;
  font-weight: 400;
  color: #1890ff;
  line-height: 14px;
  padding-bottom: 20px;
}
.login .alert__input-wrapper {
  position: relative;
}
.login .alert__input-wrapper + .alert__input-wrapper {
  margin-top: 30px;
}
.login .alert__label {
  position: absolute;
  top: -15px;
  left: 10px;
  font-size: 12px;
  font-weight: 400;
  color: #bababa;
  line-height: 14px;
}
.login .alert__input {
  border-radius: 0;
  border: none;
  border-bottom: 1px solid #e6e6e6;
  outline: none;
}
.login .alert__input.focus {
  border-bottom: 1px solid #1890ff;
}
.login .alert__input:focus {
  background: none;
  outline: none;
  -webkit-box-shadow: none;
          box-shadow: none;
}
.login .alert .icon--code {
  vertical-align: middle;
  border: 1px solid #e6e6e6;
  margin-left: 10px;
}
.login .alert .icon--qrcode {
  display: block;
  margin: 0 auto;
  width: 210px;
}
.login .alert .icon--scan {
  width: 15px;
  margin-right: 5px;
}
.login .alert .icon--weChat {
  width: 17px;
  margin-right: 5px;
}
.login .alert .icon--ding {
  width: 14px;
  margin-right: 5px;
}
.login .alert .btn--auto {
  text-align: left;
  margin-top: 10px;
  font-size: 12px;
  padding-left: 10px;
}
.login .alert .btn--auto .ant-checkbox-inner {
  width: 14px;
  height: 14px;
}
.login .alert .btn--auto .ant-checkbox-inner::after {
  top: 0 !important;
  left: 3.5px !important;
}
.login .alert .btn--login {
  margin-top: 58px;
  border-radius: 22px;
}
.login .alert .btn--change {
  text-align: left;
  display: block;
  margin-top: 30px;
  margin-left: 35px;
  font-size: 14px;
  font-weight: 400;
  color: #adadad;
}
.login .alert .login-type {
  margin-top: 50px;
  font-size: 12px;
  font-weight: 400;
}
.login .alert .login-type a {
  color: #bdbdbd;
}
.login .alert-we {
  width: 100%;
  height: 100%;
  background: #ffffff;
  border-radius: 8px;
}
.login .alert-we__logo {
  width: 100%;
  text-align: center;
  font-size: 23px;
  font-weight: 500;
  color: #333333;
  line-height: 31px;
}
.login .alert-we__logo img {
  width: 90px;
  vertical-align: middle;
  margin-bottom: 12px;
}
.login .alert-we__content {
  margin-top: 32px;
  font-size: 15px;
  font-weight: 400;
  color: #333333;
}
.login .alert-we__content p + p {
  margin-top: 12px;
}
.login .alert-we__tip {
  margin-top: 22px;
  font-size: 12px;
  font-weight: 400;
  color: #ff3f3f;
}
.login .alert-we .btn--auth {
  display: block;
  margin: 0 auto;
  margin-top: 75px;
  border-radius: 22px;
  width: 150px;
}
